package com.sunxung.factoring.entity.settlement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.customerinformation.Customer;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 结算单-下游历史结算货物信息表
 *
 * @author liutao
 * @date 2021.09.22
 */
@TableName("settlement_his_goods_info")
public class SettlementHisGoodsInfo extends BaseEntity {
    /**
     * 结算单历史信息表ID
     */
    @TableField("settlement_his_info_id")
    private Long settlementHisInfoId;
    /**
     * 验收单基础信息表ID
     */
    @TableField("acceptance_basic_info_id")
    private Long acceptanceBasicInfoId;
    /**
     * 验收单货物信息表ID
     */
    @TableField("acceptance_goods_info_id")
    private Long acceptanceGoodsInfoId;
    /**
     *
     * 验收单编号
     */
    @TableField("acceptance_goods_number")
    private String acceptanceGoodsNumber;
    /**
     * 销售单价
     */
    @TableField("sales_price")
    private BigDecimal salesPrice;
    /**
     * 销售总价
     */
    @TableField("sales_total_price")
    private BigDecimal salesTotalPrice;
    /**
     * 销售质保金
     */
    @TableField("sales_guarantee_money")
    private BigDecimal salesGuaranteeMoney;
    /**
     * 采购单价
     */
    @TableField("purchase_price")
    private BigDecimal purchasePrice;
    /**
     * 采购总价
     */
    @TableField("purchase_total_price")
    private BigDecimal purchaseTotalPrice;
    /**
     * 采购质保金
     */
    @TableField("purchase_guarantee_money")
    private BigDecimal purchaseGuaranteeMoney;
    /**
     * 供应商
     */
    @TableField(exist = false)
    private Customer customer;
    /***
     * 货物名称
     */
    @TableField(exist = false)
    private String goodsName;
    /**
     * 型号
     */
    @TableField(exist = false)
    private String goodsType;
    /**
     * 厂家
     */
    @TableField(exist = false)
    private String goodsFactory;
    /**
     * 单位
     */
    @TableField(exist = false)
    private String goodsUnit;
    /**
     * 数量
     */
//    @TableField(exist = false)
    @TableField("goods_quantity")
    private BigDecimal goodsQuantity;
    /**
     * 验收日期
     */
    @TableField(exist = false)
    private Date acceptanceDate;
    /**
     * 验收单号
     */
    @TableField(exist = false)
    private String acceptanceNumber;

    /**
     * 参考价格
     */
    @TableField("reference_price")
    private BigDecimal referencePrice;

    /**
     * 浮动价格
     */
    @TableField("floating_price")
    private BigDecimal floatingPrice;

    public SettlementHisGoodsInfo() {
    }

    public String getAcceptanceNumber() {
        return acceptanceNumber;
    }

    public void setAcceptanceNumber(String acceptanceNumber) {
        this.acceptanceNumber = acceptanceNumber;
    }

    public Long getSettlementHisInfoId() {
        return settlementHisInfoId;
    }

    public void setSettlementHisInfoId(Long settlementHisInfoId) {
        this.settlementHisInfoId = settlementHisInfoId;
    }

    public Long getAcceptanceBasicInfoId() {
        return acceptanceBasicInfoId;
    }

    public void setAcceptanceBasicInfoId(Long acceptanceBasicInfoId) {
        this.acceptanceBasicInfoId = acceptanceBasicInfoId;
    }

    public Long getAcceptanceGoodsInfoId() {
        return acceptanceGoodsInfoId;
    }

    public void setAcceptanceGoodsInfoId(Long acceptanceGoodsInfoId) {
        this.acceptanceGoodsInfoId = acceptanceGoodsInfoId;
    }

    public BigDecimal getSalesPrice() {
        return salesPrice;
    }

    public void setSalesPrice(BigDecimal salesPrice) {
        this.salesPrice = salesPrice;
    }

    public BigDecimal getSalesTotalPrice() {
        return salesTotalPrice;
    }

    public void setSalesTotalPrice(BigDecimal salesTotalPrice) {
        this.salesTotalPrice = salesTotalPrice;
    }

    public BigDecimal getSalesGuaranteeMoney() {
        return salesGuaranteeMoney;
    }

    public void setSalesGuaranteeMoney(BigDecimal salesGuaranteeMoney) {
        this.salesGuaranteeMoney = salesGuaranteeMoney;
    }

    public BigDecimal getPurchasePrice() {
        return purchasePrice;
    }

    public void setPurchasePrice(BigDecimal purchasePrice) {
        this.purchasePrice = purchasePrice;
    }

    public BigDecimal getPurchaseTotalPrice() {
        return purchaseTotalPrice;
    }

    public void setPurchaseTotalPrice(BigDecimal purchaseTotalPrice) {
        this.purchaseTotalPrice = purchaseTotalPrice;
    }

    public BigDecimal getPurchaseGuaranteeMoney() {
        return purchaseGuaranteeMoney;
    }

    public void setPurchaseGuaranteeMoney(BigDecimal purchaseGuaranteeMoney) {
        this.purchaseGuaranteeMoney = purchaseGuaranteeMoney;
    }

    public Customer getCustomer() {
        return customer;
    }

    public void setCustomer(Customer customer) {
        this.customer = customer;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getGoodsType() {
        return goodsType;
    }

    public void setGoodsType(String goodsType) {
        this.goodsType = goodsType;
    }

    public String getGoodsFactory() {
        return goodsFactory;
    }

    public void setGoodsFactory(String goodsFactory) {
        this.goodsFactory = goodsFactory;
    }

    public String getGoodsUnit() {
        return goodsUnit;
    }

    public void setGoodsUnit(String goodsUnit) {
        this.goodsUnit = goodsUnit;
    }

    public BigDecimal getGoodsQuantity() {
        return goodsQuantity;
    }

    public void setGoodsQuantity(BigDecimal goodsQuantity) {
        this.goodsQuantity = goodsQuantity;
    }

    public Date getAcceptanceDate() {
        return acceptanceDate;
    }

    public void setAcceptanceDate(Date acceptanceDate) {
        this.acceptanceDate = acceptanceDate;
    }

    public BigDecimal getReferencePrice() {
        return referencePrice;
    }

    public void setReferencePrice(BigDecimal referencePrice) {
        this.referencePrice = referencePrice;
    }

    public BigDecimal getFloatingPrice() {
        return floatingPrice;
    }

    public void setFloatingPrice(BigDecimal floatingPrice) {
        this.floatingPrice = floatingPrice;
    }

    public String getAcceptanceGoodsNumber() {
        return acceptanceGoodsNumber;
    }

    public void setAcceptanceGoodsNumber(String acceptanceGoodsNumber) {
        this.acceptanceGoodsNumber = acceptanceGoodsNumber;
    }
}
